Subject: Re: [rtcweb] Addressing WGLC comments for draft-ietf-rtcweb-security-arch? (was Re: WGLC for draft-ietf-rtcweb-security-arch) - SDP O/A structure

From: Christer Holmberg <[email-masked]>
Date: Wed, 23 May 2018 13:10:54 +0000

Hi,

...

>> , the structure we normally use is:
>> 
>> x.  SDP XXX Attribute    <--- This section defines the attribute
>> y.  SDP Offer/Answer Procedures
>> y.1.  General
>> y.2.  Generating the Initial SDP Offer 
>> y.3.  Generating the Answer 
>> y.4.  Offerer Processing of the SDP Answer 
>> y.5.  Modifying the Session
>
> Luckily, there are a bunch of SDP attributes defined and some follow this structure and some don’t ;)

Lately we have been very strict that they do follow the structure. 

Now, based on recent discussions related to BUNDLE, there may be some changes to this structure (or, at least the terminology used), but until that happens we should use it.

Especially when it comes to "initial SDP offer", it is useful to clarify that the text refers to the offer in which the attribute is first included. It may be the initial offer of a session, but also a subsequent offer.

> I’ll admit that I’m a little hesitant to suggest that we do a major editorial revision because the draft has basically had the same layout for 2+ years. 

Personally, as I haven't been following the security work very closely, I unfortunately didn't realize that we are defining an SDP attribute in the security architecture document, which is the reason I didn't comment earlier. I am sorry for that.

Regards,

Christer